Kerbal Space Program - Bug #10881

Unable to switch focus to vessel whilst pilot is on an EVA
08/31/2016 09:03 AM - Mobius

Status: Acknowledged Start date: 08/31/2016
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: PS4-1.1.0 Language: English (US)
Platform: PS4 Mod Related: No
Expansion:

Description

Unable to shift focus to vessel (L1 + right/left arrow) whilst pilot is on an EVA from the command pod to free up space in order to
rotate crew position.

Crew positioning on launch was as follows:
mk1 command pod (pilot)
mk1 crew cabin (engineer + scientist)

Whilst in circularized orbit:

pilot EVA - Focus

mk1 command pod (unmanned)

mk1 crew cabin (engineer + scientist)

Unable to then shift focus/control to vessel in order to move crew to mk1 command module

- Able to transfer crew between pods if there is free space

- Vessel has no automated control modules so is likely uncontrollable whilst pilot is EVA and command pod is empty (unless crew in
mk1 crew cabin can control vessel from there) however should at least be able to be focused on

- Have not tested shift of focus to vessel whilst EVA with no additional crew on-board

- Have not tested shift of focus to vessel whilst EVA with crew in hitchhiker storage container instead of mk1 crew cabin

- Have not tested shift of focus to vessel whilst EVA with no additional crew pods (ie. with command pod only)

Not certain if you can have 2 kerbals EVA at the same time so using the crew cabin is probably not ideal and the switch not possible
without leaving the pilot. (It was early in career and | wanted to get orbit XP for multiple kerbals on the first trip - figured I'd try to reset
some science while | was at it) This may be the cause of the bug.

Related issues:
Related to Kerbal Space Program - Bug #10879: Unable to switch focus to vesse... Closed 08/31/2016

History

#1 - 08/31/2016 09:21 AM - sal_vager
- Related to Bug #10879: Unable to switch focus to vessel whilst pilot is on an EVA added

#2 - 08/31/2016 09:37 AM - sal_vager

- Status changed from New to Need More Info

Hi Mobius, please make sure you are in control mode and not pointer mode (Push the left stick in) then try holding either bumper button and tapping
left or right on the d-pad.

That should switch between all vessels including Kerbals within 2.5km on the ground.

#3 - 09/05/2016 09:07 AM - kotan
- Status changed from Need More Info to Updated
- % Done changed from 0 to 10

Today i had the following situation.

05/17/2024 1/2




- MK1 Command pod with pilot

- Crew cabin right behind the pod

- Crew cabin orbiting kerbin in circular orbit (empty)
- Pilot on EVA from said crew cabin.

| had no problem switching focus between all of them (eva pilot, pod+cabin, cabin). So technicaly cabin was another ship without pilot. And switching
focus to it worked 100% of the time.

#4 - 09/05/2016 01:59 PM - Mobius

Sorry for taking so long to retest this.
| saw Kotan managed to get it to work but it still doesn't seem to work for me... Maybe I'm doing something wrong.
Just sent a kerbal into orbit and tried switching focus to the vessel whilst the pilot was EVA and the focus won't shift from my kerbal.

| had the following situation

- Mk1 command pod

- Pilot EVA

- Control mode

- L1/R1 + left/right d-pad ---> Focus: Jebediah Kerman, Camera: Auto flashes on the screen

Tried changing the camera but still unable to change focus to anything other than the EVA kerbal

EDIT:

I've tried this again since and found the only way to switch control between a vessel and an EVA kerbal is through the tracking center. | was collecting
EVA reports in LKO for my science lab and my kerbal let go/fell off whilst on the darkside and | lost track of the vessel. Ended up having to switch to
the vessel via the tracking center and plot an intercept reasonably close with little velocity difference, then switched back to the kerbal via the tracking
center again to get back to the ship.

| also noticed that whilst EVA in orbital view, or whatever its called, | can cycle focus between the planets and the kerbal but not the vessel even while
its manned (engineer was EVA whilst command module was occupied by pilot).

In case it helps, the configuration of the vessel was roughly:
- mk1 command pod (pilot)

- hitchhiker pod (unoccupied)

- science lab (scientist)

- Engineer EVA

#5 - 01/16/2018 04:09 AM - bewing
- Status changed from Updated to Acknowledged
- % Done changed from 10 to 100
